发布时间 :2000-06-09 00:00:00
修订时间 :2008-09-05 16:21:18

[原文]Ceilidh allows remote attackers to cause a denial of service via a large number of POST requests.



- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(VENDOR_ADVISORY)  NTBUGTRAQ  20000608 DST2K0010: DoS & Path Revealing Vulnerability in Ceilidh v2.60a
(VENDOR_ADVISORY)  XF  ceilidh-post-dos

- 漏洞信息

中危 未知
2000-06-09 00:00:00 2005-08-17 00:00:00

- 公告与补丁


- 漏洞信息

Ceilidh ceilidh.exe POST Request Consumption DoS
Denial of Service
Loss of Availability

- 漏洞描述

Unknown or Incomplete

- 时间线

2000-06-08 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Lilikoi Ceilidh 2.60 Multiple Vulnerabilities
Failure to Handle Exceptional Conditions 1320
Yes Yes
2000-06-08 12:00:00 2009-07-11 02:56:00
Discovered by the Delphis Consulting Internet Security Team (DCIST) <> and publicized in a Security Team Advisory (DST2K0010) on June 6, 2000.

- 受影响的程序版本

Lilikoi Ceilidh 2.60
- Apple Mac OS 9 9.0
- Be BeOS 5.0
- BSDI BSD/OS 4.0.1
- FreeBSD FreeBSD 5.0
- IBM AIX 4.3.2
- Linux kernel 2.3 .x
- Microsoft Windows NT 4.0
- NetBSD NetBSD 1.4.2 x86
- Sun Solaris 8_sparc

- 漏洞讨论

Lilikoi Ceilidh is a threaded bulletin board and email application that is vulnerable to two security hazards:

Path Disclosure Vulnerability - A hidden form field called 'translated_path' is embedded in HTML code generated by Ceilidh and reveals the full path location of the Ceilidh directory underneath the web root (eg. http://target/cgi-bin/ceilidh.exe/ceilidh/?N4).

Denial of Service Vulnerability - Transmitting a specially formed POST statement to Ceilidh will spawn multiple copies of ceilidh.exe and utilize 1% of CPU and 700 KB of memory. Performing this action repeatedly can result in a denial of service attack. Stopping and restarting the World Wide Web Publishing Service is required in order to regain normal functionality.

- 漏洞利用

see discussion

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at:

- 相关参考